<%#deffun(build_gallery_sq, templates/functions/build_gallery_sq.txt.html, sq, limit, condition)%>
<%#eatspace(all)%>
<%/* Build the search query to look for gallery ads.
 Parameters:
 - sq: search query
 - limit: the number of galleries to search
 - condition: the search condition to filter the ads
*/%>
<%|regex_replace(R["[ ]{2,}"], " ", 1),
regex_replace(R["^[^ ]+"], "R", 0), /* Puts an R aat the beginning */
regex_replace(R["lim:[^ ]+"], %limit, 0), /* Replace the limit for the gallery limit  */
regex_replace(R["count[^ ]+"], "", 1),  /* Removes any counter */
regex_replace(R["subsort:[+-]"], "", 0), /* Removes any subsort */
regex_replace(R["suborder:[^ ]+"], "", 0), /* Removes suborders */
regex_replace(R["\\*:\\*.*$"], %condition, 0)|%sq%>
